cURL
curl --request GET \
--url https://www.atom.com/api/marketplace/domainsimport requests
url = "https://www.atom.com/api/marketplace/domains"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://www.atom.com/api/marketplace/domains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.atom.com/api/marketplace/domains",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://www.atom.com/api/marketplace/domains"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://www.atom.com/api/marketplace/domains")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.atom.com/api/marketplace/domains")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body[
{
"id": 2725,
"domain_name": "Grandopia.com",
"status": "Seller Approved",
"full_price": 9999,
"selling_price": 9999,
"primary_category": "Aerospace",
"discount": 0,
"description": "Grandopia.com is a visionary domain perfect for brands aiming to inspire greatness. Evoking a sense of grandeur and utopia, it’s an ideal fit for startups in hospitality, real estate, or luxury lifestyle. Picture a platform that curates extraordinary experiences or a community that redefines opulent living. Grandopia embodies aspiration, inviting users to explore a world of possibilities. Its brandable quality makes it memorable and versatile, ensuring it stands out in a crowded marketplace. With Grandopia.com, the future of extraordinary ventures awaits—ready to turn dreams into reality.",
"logo_image": "https://public.atom.com/story_images/visual_images/?class=listing",
"listing_type": "Plus"
},
{
"id": 3488,
"domain_name": "Pivotis.com",
"status": "Transfer Complete",
"full_price": 699,
"selling_price": 3499,
"primary_category": "Agency & Consulting",
"discount": 0,
"description": "Versatile made up name based on the word \"Pivot\"; someone or something having a major or central role, function, or effect.",
"logo_image": "https://public.atom.com/story_images/visual_images/?class=listing",
"listing_type": "Premium"
}
]APIs List
Domains
Retrieve your domain portfolio listings. Filter by listing type (Premium, Standard, or Geo) and paginate through results.
GET
/
domains
cURL
curl --request GET \
--url https://www.atom.com/api/marketplace/domainsimport requests
url = "https://www.atom.com/api/marketplace/domains"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://www.atom.com/api/marketplace/domains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.atom.com/api/marketplace/domains",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://www.atom.com/api/marketplace/domains"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://www.atom.com/api/marketplace/domains")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.atom.com/api/marketplace/domains")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body[
{
"id": 2725,
"domain_name": "Grandopia.com",
"status": "Seller Approved",
"full_price": 9999,
"selling_price": 9999,
"primary_category": "Aerospace",
"discount": 0,
"description": "Grandopia.com is a visionary domain perfect for brands aiming to inspire greatness. Evoking a sense of grandeur and utopia, it’s an ideal fit for startups in hospitality, real estate, or luxury lifestyle. Picture a platform that curates extraordinary experiences or a community that redefines opulent living. Grandopia embodies aspiration, inviting users to explore a world of possibilities. Its brandable quality makes it memorable and versatile, ensuring it stands out in a crowded marketplace. With Grandopia.com, the future of extraordinary ventures awaits—ready to turn dreams into reality.",
"logo_image": "https://public.atom.com/story_images/visual_images/?class=listing",
"listing_type": "Plus"
},
{
"id": 3488,
"domain_name": "Pivotis.com",
"status": "Transfer Complete",
"full_price": 699,
"selling_price": 3499,
"primary_category": "Agency & Consulting",
"discount": 0,
"description": "Versatile made up name based on the word \"Pivot\"; someone or something having a major or central role, function, or effect.",
"logo_image": "https://public.atom.com/story_images/visual_images/?class=listing",
"listing_type": "Premium"
}
]Get a list of all domains listed under your account. Pass the type parameter if you want to filter by type of listing (e.g. Premium, Standard, Geo)
Query Parameters
Your Seller API key
Your Atom user ID
Filter by listing type (standard, premium, or geo)
Available options:
standard, premium, geo Page number
Number of domains to return
Response
200 - application/json
Successful operation
Example:
2725
Example:
"Grandopia.com"
Example:
"Seller Approved"
Example:
9999
Example:
9999
Example:
"Aerospace"
Example:
0
Example:
"Plus"